## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated using the scripts at https://pagure.io/fedora-cosmic/cosmic-packaging/blob/main/f/scripts
ExcludeArch: %{ix86}
# Generated by rust2rpm 26
%bcond_without check


%global crate cosmic-screenshot


# While our version corresponds to an upstream tag, we still need to define
# these macros in order to set the VERGEN_GIT_SHA and VERGEN_GIT_COMMIT_DATE
# environment variables in multiple sections of the spec file.
%global commit 1747b8a53eb3d6a3b72c90f4247e462da6289ffa
%global commitdatestring 2025-04-16 20:55:06 +0200
%global cosmic_minver 1.0.0~alpha.7

Name:           cosmic-screenshot
Version: 1.0.0~alpha.7
Release:        %autorelease
Summary:        Screenshot utility for the COSMIC Desktop Environment

License:        (0BSD OR Apache-2.0 OR MIT) AND (Apache-2.0 OR Apache-2.0 WITH LLVM-exception OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT OR Zlib) AND BSD-3-Clause AND MIT AND (MIT OR Unlicense) AND MPL-2.0

URL:            https://github.com/pop-os/cosmic-screenshot

Source0:        https://github.com/pop-os/cosmic-screenshot/archive/epoch-%{version_no_tilde}/cosmic-screenshot-%{version_no_tilde}.tar.gz
# To create the below sources:
# * git clone https://github.com/pop-os/cosmic-screenshot at the specified commit
# * cargo vendor > vendor-config-%%{version_no_tilde}.toml
# * tar -pczf vendor-%%{version_no_tilde}.tar.gz vendor
Source1:        vendor-%{version_no_tilde}.tar.gz
# * mv vendor-config-%%{version_no_tilde}.toml ..
Source2:        vendor-config-%{version_no_tilde}.toml


BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  rustc
BuildRequires:  lld
BuildRequires:  cargo
BuildRequires:  just
BuildRequires:  desktop-file-utils

%global _description %{expand:
%{summary}.}

%description %{_description}

%prep
%autosetup -n %{crate}-epoch-%{version_no_tilde} -p1 -a1
%cargo_prep -N
# Check if .cargo/config.toml exists
if [ -f .cargo/config.toml ]; then
  # If it exists, append the contents of %%{SOURCE2} to .cargo/config.toml
  cat %{SOURCE2} >> .cargo/config.toml
  echo "Appended %{SOURCE2} to .cargo/config.toml"
else
  # If it does not exist, append the contents of %%{SOURCE2} to .cargo/config
  cat %{SOURCE2} >> .cargo/config
  echo "Appended %{SOURCE2} to .cargo/config"
fi

%build
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}
sed 's/\(.*\) (.*#\(.*\))/\1+git\2/' -i cargo-vendor.txt

%install
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
just rootdir=%{buildroot} prefix=%{_prefix} install

# COSMIC is not a valid category pre-fedora 41
%if %{defined fedora} && 0%{?fedora} < 41
desktop-file-install \
--remove-category COSMIC \
--add-category X-COSMIC \
--delete-original \
--dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/com.system76.CosmicScreenshot.desktop
%endif

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicScreenshot.desktop
%if %{with check}
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
%cargo_test
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%license cargo-vendor.txt
%doc README.md
%{_bindir}/cosmic-screenshot
%{_datadir}/applications/com.system76.CosmicScreenshot.desktop
%{_datadir}/icons/hicolor/*/apps/com.system76.CosmicScreenshot.svg

%changelog
## START: Generated by rpmautospec
* Thu Apr 24 2025 Ryan Brue <ryanbrue.dev@gmail.com> - 1.0.0~alpha.7-1
- "Update to 1.0.0~alpha.7"

* Fri Feb 21 2025 Ryan Brue <ryanbrue.dev@gmail.com> - 1.0.0~alpha.6-1
- "Update to 1.0.0~alpha.6"

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~alpha.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 15 2025 Ryan Brue <ryanbrue.dev@gmail.com> - 1.0.0~alpha.5.1-1
- "Update to 1.0.0~alpha.5.1"

* Fri Jan 10 2025 Ryan Brue <ryanbrue.dev@gmail.com> - 1.0.0~alpha.5-1
- "Update to 1.0.0~alpha.5"

* Fri Dec 06 2024 Ryan Brue <ryanbrue.dev@gmail.com> - 1.0.0~alpha.4-1
- "Update to 1.0.0~alpha.4"

* Sat Nov 02 2024 Ryan Brue <ryanbrue.dev@gmail.com> - 1.0.0~alpha.3-1
- "Update to 1.0.0~alpha.3"

* Sun Sep 29 2024 Ryan Brue <ryanbrue.dev@gmail.com> - 1.0.0~alpha.2-1
- "Update to 1.0.0~alpha.2"
## END: Generated by rpmautospec
